genesis

Get genesis.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Upon success, the Cache-Control header will be set with the default maximum age.

Parameters

  • No parameters are needed.
curl https://cosmos-mainnet-archive.allthatnode.com:26657/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "genesis"
}'

Returns

❗️

Note

Due to the genesis data is too huge, the node client does not show the response. Instead, you can try genesis_chunkedAPI.

  • OBJECT - genesis data
{"jsonrpc":"2.0","id":1,"error":{"code":-32603,"message":"Internal error","data":"genesis response is large, please use the genesis_chunked API instead"}}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Query Params
string
Body Params
string
required
Defaults to 2.0
int32
required
Defaults to 1
string
required
Defaults to dial_peers
params
object
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!